-- #SPDX-License-Identifier: MIT
ALTER TABLE "augur_data"."contributor_affiliations" DROP CONSTRAINT "fk_contributor_affiliations_contributors_1";

ALTER TABLE "augur_data"."contributor_affiliations" DROP CONSTRAINT "contributor_affiliations_pkey";

ALTER TABLE "augur_data"."contributor_affiliations" ADD COLUMN "ca_affiliation" varchar COLLATE "pg_catalog"."default";

ALTER TABLE "augur_data"."contributor_affiliations" ALTER COLUMN "ca_start_date" DROP NOT NULL;

ALTER TABLE "augur_data"."contributor_affiliations" ALTER COLUMN "ca_start_date" SET DEFAULT '1970-01-01'::date;

ALTER TABLE "augur_data"."contributor_affiliations" ADD COLUMN "ca_active" int2 DEFAULT 1;

ALTER TABLE "augur_data"."contributor_affiliations" DROP COLUMN "cntrb_id";

ALTER TABLE "augur_data"."contributor_affiliations" ADD CONSTRAINT "contributor_affiliations_pkey" PRIMARY KEY ("ca_id");

ALTER TABLE "augur_data"."contributor_affiliations" ADD CONSTRAINT "unique_domain" UNIQUE ("ca_domain");

COMMENT ON CONSTRAINT "unique_domain" ON "augur_data"."contributor_affiliations" IS 'Only one row should exist for any given top level domain or subdomain. ';

ALTER TABLE "augur_data"."contributors" ADD COLUMN "cntrb_last_used" timestamptz(0) DEFAULT NULL::timestamp with time zone;


INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (1, 'samsung.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-08-01 18:37:54', 'Samsung', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (2, 'linuxfoundation.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-08-01 18:37:54', 'Linux Foundation', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (3, 'ibm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-08-01 18:37:54', 'IBM', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (8, 'walmart.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Walmart', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (9, 'exxonmobil.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Exxon Mobil', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (10, 'ge.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'General Electric', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (11, 'dupont.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'DuPont', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (12, 'avnet.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Avnet', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (13, 'macysinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Macys', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (14, 'enterpriseproducts.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Enterprise Products Partners', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (15, 'travelers.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Travelers Cos.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (16, 'pmi.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Philip Morris International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (17, 'riteaid.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Rite Aid', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (18, 'techdata.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Tech Data', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25156, 'pivotal.io', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:30:57', '2020-03-25 00:30:57', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25157, 'vmware.com', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:33:35', '2020-03-25 00:33:35', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25158, 'rabbitmq.com', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:33:43', '2020-03-25 00:33:43', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25161, 'pivotallabs.com', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:43:53', '2020-03-25 00:43:53', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25162, 'cloudcredo.com', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:44:18', '2020-03-25 00:44:18', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25163, 'gopivotal.com', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:44:25', '2020-03-25 00:44:25', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25164, 'heptio.com', 'Manual Entry', '0.0.0', 'Gabe', '2020-03-25 00:44:32', '2020-03-25 00:44:32', 'VMware', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (19, 'aboutmcdonalds.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'McDonalds', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (20, 'qualcomm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Qualcomm', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (21, 'amerisourcebergen.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AmerisourceBergen', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (22, 'searsholdings.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sears Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (23, 'capitalone.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Capital One Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (24, 'emc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'EMC', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (25, 'usaa.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'USAA', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (26, 'duke-energy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Duke Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (27, 'twc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Time Warner Cable', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (28, 'halliburton.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Halliburton', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (29, 'northropgrumman.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Northrop Grumman', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (30, 'arrow.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Arrow Electronics', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (31, 'raytheon.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Raytheon', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (32, 'verizon.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Verizon', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (33, 'plainsallamerican.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Plains GP Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (34, 'usfoods.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'US Foods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (35, 'abbvie.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AbbVie', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (36, 'centene.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Centene', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (37, 'chs.net', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Community Health Systems', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (38, 'arconic.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Arconic', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (39, 'internationalpaper.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'International Paper', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (40, 'emerson.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Emerson Electric', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (41, 'up.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Union Pacific', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (42, 'amgen.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Amgen', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (43, 'chevron.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Chevron', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (44, 'usbank.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'U.S. Bancorp', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (45, 'staples.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Staples', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (46, 'danaher.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Danaher', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (47, 'whirlpoolcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Whirlpool', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (48, 'aflac.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Aflac', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (49, 'autonation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AutoNation', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (50, 'progressive.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Progressive', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (51, 'abbott.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Abbott Laboratories', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (52, 'dollargeneral.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dollar General', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (53, 'tenethealth.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Tenet Healthcare', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (54, 'costco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Costco', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (55, 'lilly.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Eli Lilly', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (56, 'southwest.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Southwest Airlines', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (57, 'penskeautomotive.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Penske Automotive Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (58, 'manpowergroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'ManpowerGroup', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (59, 'kohlscorporation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kohls', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (60, 'starbucks.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Starbucks', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (61, 'paccar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Paccar', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (62, 'cummins.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cummins', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (63, 'altria.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Altria Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (64, 'xerox.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Xerox', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (65, 'fanniemae.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Fannie Mae', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (66, 'kimberly-clark.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kimberly-Clark', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (67, 'thehartford.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hartford Financial Services Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (68, 'kraftheinzcompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kraft Heinz', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (69, 'lear.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lear', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (70, 'fluor.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Fluor', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (71, 'aecom.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AECOM', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (72, 'facebook.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Facebook', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (73, 'jabil.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Jabil Circuit', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (74, 'centurylink.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CenturyLink', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (75, 'supervalu.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Supervalu', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (76, 'thekrogerco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kroger', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (77, 'generalmills.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'General Mills', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (78, 'southerncompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Southern', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (79, 'nexteraenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NextEra Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (80, 'thermofisher.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Thermo Fisher Scientific', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (81, 'aep.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'American Electric Power', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (82, 'pge.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PG&E Corp.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (83, 'nglenergypartners.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NGL Energy Partners', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (84, 'bms.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Bristol-Myers Squibb', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (85, 'goodyear.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Goodyear Tire & Rubber', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (86, 'nucor.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Nucor', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (87, 'amazon.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Amazon.com', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (88, 'pnc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PNC Financial Services Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (89, 'healthnet.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Health Net', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (90, 'micron.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Micron Technology', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (91, 'colgatepalmolive.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Colgate-Palmolive', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (92, 'fcx.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Freeport-McMoRan', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (93, 'conagrafoods.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'ConAgra Foods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (94, 'gapinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Gap', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (95, 'bakerhughes.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Baker Hughes', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (96, 'bnymellon.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Bank of New York Mellon Corp.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (97, 'dollartree.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dollar Tree', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (98, 'walgreensbootsalliance.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Walgreens', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (99, 'wholefoodsmarket.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Whole Foods Market', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (100, 'ppg.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PPG Industries', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (101, 'genpt.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Genuine Parts', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (102, 'ielp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Icahn Enterprises', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (103, 'pfgc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Performance Food Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (104, 'omnicomgroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Omnicom Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (105, 'dish.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'DISH Network', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (106, 'firstenergycorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'FirstEnergy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (107, 'monsanto.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Monsanto', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (108, 'aes.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AES', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (109, 'hp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'HP', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (110, 'carmax.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CarMax', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (111, 'nov.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'National Oilwell Varco', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (112, 'nrgenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NRG Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (113, 'westerndigital.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Western Digital', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (114, 'marriott.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Marriott International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (115, 'officedepot.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Office Depot', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (116, 'nordstrom.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Nordstrom', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (117, 'kindermorgan.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kinder Morgan', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (118, 'aramark.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Aramark', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (119, 'davita.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'DaVita', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (120, 'apple.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Apple', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (121, 'cardinal.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cardinal Health', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (122, 'molinahealthcare.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Molina Healthcare', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (123, 'wellcare.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'WellCare Health Plans', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (124, 'cbscorporation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CBS', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (125, 'visa.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Visa', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (126, 'lfg.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lincoln National', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (127, 'ecolab.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ecolab', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (128, 'kelloggcompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kellogg', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (129, 'chrobinson.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'C.H. Robinson Worldwide', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (130, 'textron.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Textron', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (131, 'loews.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Loews', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (132, 'express-scripts.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Express Scripts Holding', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (133, 'itw.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Illinois Tool Works', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (134, 'synnex.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Synnex', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (135, 'viacom.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Viacom', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (136, 'hollyfrontier.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'HollyFrontier', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (137, 'landolakesinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Land O Lakes', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (138, 'devonenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Devon Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (139, 'pbfenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PBF Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (140, 'yum.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Yum Brands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (141, 'ti.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Texas Instruments', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (142, 'cdw.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CDW', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (143, 'jpmorganchase.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'J.P. Morgan Chase', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (144, 'wm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Waste Management', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (145, 'mmc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Marsh & McLennan', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (146, 'chk.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Chesapeake Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (147, 'parker.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Parker-Hannifin', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (148, 'oxy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Occidental Petroleum', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (149, 'guardianlife.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Guardian Life Ins. Co. of America', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (150, 'farmers.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Farmers Insurance Exchange', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (151, 'jcpenney.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'J.C. Penney', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (152, 'conedison.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Consolidated Edison', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (153, 'cognizant.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cognizant Technology Solutions', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (154, 'boeing.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Boeing', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (155, 'vfc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'VF', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (156, 'ameriprise.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ameriprise Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (157, 'csc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Computer Sciences', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (158, 'lb.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'L Brands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (159, 'jacobs.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Jacobs Engineering Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (160, 'principal.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Principal Financial Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (161, 'rossstores.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ross Stores', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (162, 'bedbathandbeyond.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Bed Bath & Beyond', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (163, 'csx.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CSX', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (164, 'toysrusinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Toys \"R\" Us', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (165, 'microsoft.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Microsoft', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (166, 'sands.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Las Vegas Sands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (167, 'leucadia.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Leucadia National', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (168, 'dom.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dominion Resources', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (169, 'ussteel.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'United States Steel', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (170, 'l-3com.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'L-3 Communications', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (171, 'edisoninvestor.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Edison International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (172, 'entergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Entergy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (173, 'adp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'ADP', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (174, 'firstdata.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'First Data', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (175, 'blackrock.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'BlackRock', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (176, 'bankofamerica.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Bank of America Corp.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (177, 'westrock.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'WestRock', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (178, 'voya.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Voya Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (179, 'sherwin.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sherwin-Williams', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (180, 'hiltonworldwide.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hilton Worldwide Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (181, 'rrdonnelley.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'R.R. Donnelley & Sons', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (182, 'stanleyblackanddecker.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Stanley Black & Decker', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (183, 'xcelenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Xcel Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (184, 'corporate.murphyusa.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Murphy USA', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (185, 'cbre.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CBRE Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (186, 'drhorton.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'D.R. Horton', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (187, 'wellsfargo.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Wells Fargo', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (188, 'elcompanies.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Estee Lauder', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (189, 'praxair.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Praxair', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (190, 'biogen.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Biogen', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (191, 'statestreet.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'State Street Corp.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (192, 'unum.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Unum Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (193, 'reynoldsamerican.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Reynolds American', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (194, 'group1auto.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Group 1 Automotive', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (195, 'henryschein.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Henry Schein', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (196, 'hertz.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hertz Global Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (197, 'nscorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Norfolk Southern', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (198, 'homedepot.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Home Depot', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (199, 'rgare.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Reinsurance Group of America', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (200, 'pseg.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Public Service Enterprise Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (201, 'bbt.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'BB&T Corp.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (202, 'dteenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'DTE Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (203, 'assurant.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Assurant', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (204, 'globalp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Global Partners', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (205, 'huntsman.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Huntsman', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (206, 'bd.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Becton Dickinson', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (207, 'sempra.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sempra Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (208, 'autozone.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AutoZone', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (209, 'citigroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Citigroup', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (210, 'navistar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Navistar International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (211, 'precast.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Precision Castparts', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (212, 'discoverfinancial.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Discover Financial Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (213, 'libertyinteractive.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Liberty Interactive', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (214, 'grainger.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'W.W. Grainger', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (215, 'baxter.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Baxter International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (216, 'stryker.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Stryker', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (217, 'airproducts.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Air Products & Chemicals', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (218, 'wnr.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Western Refining', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (219, 'uhsinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Universal Health Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (220, 'phillips66.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Phillips 66', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (221, 'owens-minor.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Owens & Minor', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (222, 'charter.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Charter Communications', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (223, 'advanceautoparts.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Advance Auto Parts', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (224, 'mastercard.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'MasterCard', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (225, 'appliedmaterials.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Applied Materials', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (226, 'eastman.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Eastman Chemical', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (227, 'sonicautomotive.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sonic Automotive', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (228, 'ally.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ally Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (229, 'cstbrands.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CST Brands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (230, 'ebay.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'eBay', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (231, 'berkshirehathaway.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Berkshire Hathaway', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (233, 'lennar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lennar', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (234, 'gamestopcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'GameStop', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (235, 'rsac.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Reliance Steel & Aluminum', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (236, 'hormelfoods.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hormel Foods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (237, 'celgene.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Celgene', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (238, 'genworth.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Genworth Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (239, 'paypal.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PayPal Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (240, 'pricelinegroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Priceline Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (241, 'mgmresorts.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'MGM Resorts International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (242, 'autoliv.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Autoliv', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (243, 'valero.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Valero Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (244, 'fnf.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Fidelity National Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (245, 'republicservices.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Republic Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (246, 'corning.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Corning', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (247, 'kiewit.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Peter Kiewit Sons', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (248, 'univar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Univar', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (249, 'mosaicco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Mosaic', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (250, 'core-mark.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Core-Mark Holding', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (251, 'thrivent.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Thrivent Financial for Lutherans', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (252, 'c-a-m.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cameron International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (253, 'hdsupply.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'HD Supply Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (254, 'antheminc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Anthem', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (255, 'crowncork.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Crown Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (256, 'eogresources.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'EOG Resources', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (257, 'veritivcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Veritiv', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (258, 'anadarko.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Anadarko Petroleum', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (259, 'labcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Laboratory Corp. of America', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (260, 'pacificlife.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Pacific Life', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (261, 'newscorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'News Corp.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (262, 'jarden.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Jarden', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (263, 'suntrust.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'SunTrust Banks', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (264, 'avisbudgetgroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Avis Budget Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (265, 'pg.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Procter & Gamble', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (266, 'broadcom.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Broadcom', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (267, 'amfam.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'American Family Insurance Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (268, 'level3.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Level 3 Communications', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (269, 'tenneco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Tenneco', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (270, 'unfi.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'United Natural Foods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (271, 'deanfoods.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dean Foods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (272, 'campbellsoupcompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Campbell Soup', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (273, 'mohawkind.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Mohawk Industries', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (274, 'borgwarner.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'BorgWarner', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (275, 'pvh.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PVH', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (276, 'statefarm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'State Farm Insurance Cos.', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (277, 'ball.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ball', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (278, 'oreillyauto.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'O Reilly Automotive', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (279, 'eversource.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Eversource Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (280, 'franklinresources.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Franklin Resources', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (281, 'masco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Masco', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (282, 'lithia.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lithia Motors', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (283, 'kkr.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'KKR', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (284, 'oneok.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Oneok', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (285, 'newmont.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Newmont Mining', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (286, 'pplweb.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PPL', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (287, 'google.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Alphabet', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (288, 'spartannash.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'SpartanNash', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (289, 'quantaservices.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Quanta Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (290, 'xpo.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'XPO Logistics', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (291, 'ralphlauren.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ralph Lauren', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (292, 'interpublic.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Interpublic Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (293, 'steeldynamics.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Steel Dynamics', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (294, 'wesco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'WESCO International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (295, 'questdiagnostics.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Quest Diagnostics', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (296, 'bostonscientific.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Boston Scientific', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (297, 'agcocorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AGCO', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (298, 'comcastcorporation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Comcast', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (299, 'footlocker-inc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Foot Locker', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (300, 'thehersheycompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hershey', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (301, 'centerpointenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CenterPoint Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (302, 'williams.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Williams', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (303, 'dickssportinggoods.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dicks Sporting Goods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (304, 'livenation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Live Nation Entertainment', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (305, 'mutualofomaha.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Mutual of Omaha Insurance', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (306, 'wrberkley.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'W.R. Berkley', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (307, 'lkqcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'LKQ', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (308, 'avoncompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Avon Products', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (309, 'target.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Target', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (310, 'darden.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Darden Restaurants', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (311, 'kindredhealthcare.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kindred Healthcare', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (312, 'weyerhaeuser.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Weyerhaeuser', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (313, 'caseys.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Caseys General Stores', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (314, 'sealedair.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sealed Air', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (315, '53.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Fifth Third Bancorp', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (316, 'dovercorporation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dover', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (317, 'huntingtoningalls.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Huntington Ingalls Industries', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (318, 'netflix.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Netflix', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (319, 'dillards.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dillards', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (320, 'jnj.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Johnson & Johnson', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (321, 'emcorgroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'EMCOR Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (322, 'edwardjones.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Jones Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (323, 'aksteel.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AK Steel Holding', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (324, 'ugicorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'UGI', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (325, 'expediainc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Expedia', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (326, 'salesforce.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'salesforce.com', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (327, 'targaresources.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Targa Resources', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (328, 'apachecorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Apache', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (329, 'spiritaero.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Spirit AeroSystems Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (330, 'expeditors.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Expeditors International of Washington', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (331, 'metlife.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'MetLife', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (332, 'anixter.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Anixter International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (333, 'fisglobal.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Fidelity National Information Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (334, 'asburyauto.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Asbury Automotive Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (335, 'hess.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hess', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (336, 'ryder.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ryder System', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (337, 'terex.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Terex', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (338, 'cokecce.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Coca-Cola European Partners', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (339, 'auto-owners.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Auto-Owners Insurance', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (340, 'cablevision.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cablevision Systems', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (341, 'symantec.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Symantec', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (342, 'mckesson.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'McKesson', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (343, 'adm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Archer Daniels Midland', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (344, 'aboutschwab.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Charles Schwab', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (345, 'calpine.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Calpine', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (346, 'cmsenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CMS Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (347, 'alliancedata.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Alliance Data Systems', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (348, 'jetblue.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'JetBlue Airways', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (349, 'discoverycommunications.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Discovery Communications', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (350, 'trin.net', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Trinity Industries', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (351, 'sanmina.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sanmina', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (352, 'ncr.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NCR', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (353, 'fmctechnologies.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'FMC Technologies', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (354, 'marathonpetroleum.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Marathon Petroleum', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (355, 'erieinsurance.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Erie Insurance Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (356, 'rockwellautomation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Rockwell Automation', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (357, 'drpeppersnapplegroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dr Pepper Snapple Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (358, 'iheartmedia.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'iHeartMedia', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (359, 'tractorsupply.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Tractor Supply', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (360, 'jbhunt.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'J.B. Hunt Transport Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (361, 'cmc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Commercial Metals', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (362, 'o-i.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Owens-Illinois', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (363, 'harman.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Harman International Industries', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (364, 'baxalta.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Baxalta', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (365, 'freddiemac.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Freddie Mac', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (366, 'afginc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'American Financial Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (367, 'netapp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NetApp', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (368, 'graybar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Graybar Electric', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (369, 'oshkoshcorporation.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Oshkosh', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (370, 'ameren.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ameren', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (371, 'amark.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'A-Mark Precious Metals', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (372, 'barnesandnobleinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Barnes & Noble', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (373, 'dana.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dana Holding', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (374, 'cbrands.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Constellation Brands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (375, 'lifepointhealth.net', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'LifePoint Health', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (376, 'pepsico.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PepsiCo', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (377, 'zimmerbiomet.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Zimmer Biomet Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (378, 'harley-davidson.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Harley-Davidson', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (379, 'pultegroupinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'PulteGroup', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (380, 'newellbrands.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Newell Brands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (381, 'averydennison.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Avery Dennison', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (382, 'jll.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Jones Lang LaSalle', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (383, 'wecenergygroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'WEC Energy Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (384, 'marathonoil.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Marathon Oil', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (385, 'ta-petrol.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'TravelCenters of America', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (386, 'unitedrentals.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'United Rentals', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (387, 'utc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'United Technologies', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (388, 'hrggroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'HRG Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (389, 'oldrepublic.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Old Republic International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (390, 'windstream.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Windstream Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (391, 'starwoodhotels.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Starwood Hotels & Resorts', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (392, 'delekus.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Delek US Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (393, 'packagingcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Packaging Corp. of America', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (394, 'quintiles.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Quintiles IMS Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (395, 'hanes.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Hanesbrands', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (396, 'realogy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Realogy Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (397, 'mattel.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Mattel', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (398, 'aetna.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Aetna', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (399, 'motorolasolutions.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Motorola Solutions', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (400, 'jmsmucker.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'J.M. Smucker', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (401, 'regions.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Regions Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (402, 'celanese.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Celanese', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (403, 'thecloroxcompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Clorox', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (404, 'ingredion.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ingredion', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (405, 'genesishcc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Genesis Healthcare', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (406, 'peabodyenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Peabody Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (407, 'alaskaair.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Alaska Air Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (408, 'seaboardcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Seaboard', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (409, 'lowes.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lowes', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (410, 'frontier.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Frontier Communications', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (411, 'amphenol.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Amphenol', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (412, 'lansingtradegroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lansing Trade Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (413, 'sandisk.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'SanDisk', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (414, 'sjm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'St. Jude Medical', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (415, 'wyndhamworldwide.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Wyndham Worldwide', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (416, 'kellyservices.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Kelly Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (417, 'westernunion.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Western Union', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (418, 'evhc.net', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Envision Healthcare Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (419, 'visteon.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Visteon', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (420, 'ups.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'UPS', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (421, 'ajg.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Arthur J. Gallagher', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (422, 'hosthotels.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Host Hotels & Resorts', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (423, 'ashland.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ashland', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (424, 'insight.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Insight Enterprises', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (425, 'energyfutureholdings.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Energy Future Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (426, 'markelcorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Markel', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (427, 'essendant.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Essendant', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (428, 'ch2m.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CH2M Hill', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (429, 'westernsouthern.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Western & Southern Financial Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (430, 'owenscorning.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Owens Corning', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (431, 'aig.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AIG', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (432, 'spglobal.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'S&P Global', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (433, 'raymondjames.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Raymond James Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (434, 'nisource.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NiSource', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (435, 'airgas.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Airgas', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (436, 'abm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'ABM Industries', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (437, 'citizensbank.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Citizens Financial Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (438, 'boozallen.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Booz Allen Hamilton Holding', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (439, 'simon.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Simon Property Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (440, 'domtar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Domtar', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (441, 'rockwellcollins.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Rockwell Collins', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (442, 'prudential.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Prudential Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (443, 'lamresearch.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lam Research', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (444, 'fiserv.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Fiserv', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (445, 'spectraenergy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Spectra Energy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (446, 'navient.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Navient', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (447, 'biglots.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Big Lots', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (448, 'tdsinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Telephone & Data Systems', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (449, 'firstam.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'First American Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (450, 'nvrinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'NVR', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (451, 'cinfin.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cincinnati Financial', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (452, 'burlingtonstores.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Burlington Stores', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (453, 'unitedhealthgroup.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'UnitedHealth Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (454, 'intel.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Intel', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (455, 'humana.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Humana', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (456, 'disney.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Disney', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (457, 'cisco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cisco Systems', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (458, 'pfizer.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Pfizer', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (459, 'dow.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Dow Chemical', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (460, 'sysco.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Sysco', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (461, 'fedex.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'FedEx', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (462, 'caterpillar.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Caterpillar', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (463, 'lockheedmartin.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Lockheed Martin', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (464, 'cvshealth.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CVS Health', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (465, 'newyorklife.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'New York Life Insurance', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (466, 'coca-colacompany.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Coca-Cola', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (467, 'hcahealthcare.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'HCA Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (468, 'ingrammicro.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ingram Micro', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (469, 'energytransfer.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Energy Transfer Equity', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (470, 'tysonfoods.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Tyson Foods', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (471, 'aa.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'American Airlines Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (472, 'delta.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Delta Air Lines', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (473, 'nationwide.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Nationwide', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (474, 'johnsoncontrols.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Johnson Controls', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (475, 'gm.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'General Motors', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (476, 'bestbuy.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Best Buy', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (477, 'merck.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Merck', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (478, 'libertymutual.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Liberty Mutual Insurance Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (479, 'gs.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Goldman Sachs Group', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (480, 'honeywell.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Honeywell International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (481, 'massmutual.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Massachusetts Mutual Life Insurance', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (482, 'oracle.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Oracle', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (483, 'morganstanley.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Morgan Stanley', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (484, 'cigna.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Cigna', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (485, 'unitedcontinentalholdings.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'United Continental Holdings', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (486, 'ford.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Ford Motor', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (487, 'allstate.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Allstate', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (488, 'tiaa.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'TIAA', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (489, 'intlfcstone.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'INTL FCStone', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (490, 'chsinc.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'CHS', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (491, 'americanexpress.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'American Express', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (492, 'gilead.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Gilead Sciences', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (493, 'publix.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Publix Super Markets', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (494, 'generaldynamics.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'General Dynamics', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (495, 'tjx.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'TJX', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (496, 'conocophillips.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'ConocoPhillips', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (497, 'att.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'AT&T', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (498, 'nike.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Nike', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (499, 'wfscorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'World Fuel Services', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (500, '3m.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', '3M', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (501, 'mondelezinternational.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Mondelez International', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (502, 'exeloncorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Exelon', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (503, '21cf.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Twenty-First Century Fox', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (504, 'johndeere.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Deere', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (505, 'tsocorp.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Tesoro', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (506, 'timewarner.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Time Warner', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (507, 'redhat.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Red Hat', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (509, 'openwrt.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'OpenWRT', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (510, 'panasonic.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Panasonic', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (511, 'comcast.net', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Comcast', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (512, 'linux.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Linux', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (514, 'northwesternmutual.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Northwestern Mutual', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (515, 'kde.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'KDE', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (516, 'twitter.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Twitter', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (517, 'adobe.com', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-01 06:00:00', 'Adobe', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (519, 'acm.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-12 02:01:59', 'ACM', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (520, 'outdoors@acm.org', 'load', '1.0', 'load', '2013-07-15 00:00:00', '2018-09-12 02:32:53', 'University of Missouri', '1970-01-01', 1);
INSERT INTO "augur_data"."contributor_affiliations"("ca_id", "ca_domain", "tool_source", "tool_version", "data_source", "data_collection_date", "ca_last_used", "ca_affiliation", "ca_start_date", "ca_active") VALUES (521, 'freebsd.org', 'load', '1.0', 'load', '1970-01-01 00:00:00', '2018-09-13 21:15:22', 'Free BSD', '1970-01-01', 1);

update "augur_operations"."augur_settings" set value = 14 where setting = 'augur_data_version'; 
